SystemOrganization addCategory: #'ConnectorsBasicDistro-Info'!
(PackageInfo named: 'ConnectorsBasicDistro') postscript: '"below, add code to be run after the loading of this package"
ConnectorsInfo createConnectorsFlaps.
ConnectorsShapesInfo createConnectorsFlaps.
ConnectorsBasicDistroInfo rebuildObjectsToolIcons.'!

PackageInfo subclass: #ConnectorsBasicDistroInfo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConnectorsBasicDistro-Info'!

!ConnectorsBasicDistroInfo class methodsFor: 'directories' stamp: 'nk 8/23/2004 10:50'!
bitmapDirectoryName
	^'bitmaps'! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 8/23/2004 10:51'!
bitmapFileNames
	"ConnectorsBasicDistroInfo bitmapFileNames"
	^self bitmaps collect: [ :i | self bitmapDirectoryName, FileDirectory slash, i, '.png' ]
! !

!ConnectorsBasicDistroInfo class methodsFor: 'contents lists' stamp: 'nk 7/18/2004 22:10'!
bitmaps
"Imports default imports keys select: [ :ea | ea startsWith: 'bitmaps-' ]"
^#('checker1' 'checker2' 'leather' 'leopard1' 'leopard2' 'caust' 'waves')
! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 7/18/2004 21:06'!
changeSetBaseFileNames
	"ConnectorsBasicDistroInfo changeSetBaseFileNames"
	^self changeSetFullFileNames collect: [ :ea | FileDirectory localNameFor: ea ]
! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 8/18/2004 16:09'!
changeSetDirectory
	^FileDirectory default directoryNamed: self changeSetDirectoryName! !

!ConnectorsBasicDistroInfo class methodsFor: 'directories' stamp: 'nk 8/23/2004 10:47'!
changeSetDirectoryName
	^'changeSets'! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 7/18/2004 20:47'!
changeSetFileNames
	^self changeSets collect: [ :s | s, '.*.cs' ]
! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 8/23/2004 10:51'!
changeSetFullFileNames
	"ConnectorsBasicDistroInfo changeSetFullFileNames"
	| dir |
	dir := self changeSetDirectory.
	^self changeSets collect: [ :s | 
		dir fullNameFor: (dir lastNameFor: s extension: 'cs') ]
! !

!ConnectorsBasicDistroInfo class methodsFor: 'contents lists' stamp: 'nk 12/28/2004 14:07'!
changeSets
	^{}
! !

!ConnectorsBasicDistroInfo class methodsFor: 'directories' stamp: 'nk 8/23/2004 10:52'!
iconDirectoryName
	^'icons'! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 8/23/2004 10:52'!
iconFileNames
	^self icons collect: [ :i | self iconDirectoryName, FileDirectory slash, i, '.gif' ]! !

!ConnectorsBasicDistroInfo class methodsFor: 'contents lists' stamp: 'nk 7/18/2004 20:47'!
icons
"Imports default imports keys select: [ :ea | ea startsWith: 'icons-' ]"
^#('broom' 'colorize' 'fileprint' 'fileopen' 'mail_generic' 'contents' 'filenew' 'mail_send' 'folder_new' 'filesave' 'exit' 'fileimport')! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 8/23/2004 10:55'!
makeSAR
	"
	ConnectorsBasicDistroInfo makeSAR
	"
	| sar result sarName |
	sar := ZipArchive new.
	self changeSetFullFileNames do: [ :fileName | sar addFile: fileName as: (FileDirectory localNameFor: fileName) ].
	self mczFullFileNames do: [ :fileName | sar addFile: fileName as: (FileDirectory localNameFor: fileName) ].
	"self icons with: self iconFileNames do: [ :iconname :fileName |
		sar addFile: fileName as: 'icons-', iconname ]."
	self bitmaps with: self bitmapFileNames do: [ :iconname :fileName |
		sar addFile: fileName as: 'bitmap-', iconname ].

	sar addString: self preambleText as: 'install/preamble'.
	sar addString: self postscriptText as: 'install/postscript'.

	result := StandardFileMenu newFile.
	result ifNil: [ ^nil ].
	sarName := (result directory fullNameFor: result name).
	sar writeToFileNamed: sarName.
! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 7/18/2004 21:07'!
mczBaseFileNames
	"ConnectorsBasicDistroInfo mczBaseFileNames"
	^self mczFullFileNames collect: [ :ea | FileDirectory localNameFor: ea ]
! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 7/18/2004 23:25'!
mczFullFileNames
	"ConnectorsFullDistroInfo mczFullFileNames"
	| dir0 dir1 dir2 dir3  dir lastName |
	dir0 := FileDirectory default directoryNamed: 'package-cache'.
	dir1 := self projectDirectory directoryNamed: 'MiscMorphic'.
	dir2 := self projectDirectory directoryNamed: 'Etoys'.
	dir3 := self projectDirectory directoryNamed: 'Connectors'.
	^self mczPackages collect: [ :s |
		dir := { dir0. dir3. dir2. dir1. } detect: [ :d | (lastName := (d lastNameFor: s extension: 'mcz')) notNil ].
		dir fullNameFor: lastName ]
! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 7/18/2004 20:47'!
mczPackageFileNames
	^self mczPackages collect: [ :s | s, '.*.mcz' ]
! !

!ConnectorsBasicDistroInfo class methodsFor: 'contents lists' stamp: 'nk 12/28/2004 15:21'!
mczPackages
	^{
'CGPrereqs-nk'.
'FSM-nk'.
'Connectors-nk'.
'ConnectorsText-nk'.
'ConnectorsShapes-nk'.
'ConnectorsTools-nk'.
'ConnectorsGraphLayout-nk'.
'BroomMorphs-Base-nk'.
'BroomMorphs-Connectors-nk'.
'ConnectorsDemo-nk'.
'ConnectorsBasicDistro-nk'.
}
! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 12/28/2004 15:47'!
postscriptText
	^'
	ConnectorsInfo createConnectorsFlaps.
	ConnectorsShapesInfo createConnectorsFlaps.
	ConnectorsBasicDistroInfo rebuildObjectsToolIcons.
	'
! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 2/28/2006 12:31'!
preambleText
	"
	ConnectorsBasicDistroInfo preambleText
	"

	^String streamContents: [ :stream |
		stream nextPutAll: self recatConnectorsExtensionsText; cr.
		self changeSetBaseFileNames do: [ :csName |
			stream nextPutAll: 'self fileInMemberNamed: ';
				print: csName; nextPut: $.; cr ].
		self mczBaseFileNames do: [ :pkgName |
			stream nextPutAll: 'self fileInMonticelloZipVersionNamed: ';
				print: pkgName; nextPut: $.; cr ].
		"self icons do: [ :iconName |
			stream nextPutAll: 'self importImage: ';
			print: 'icons-', iconName; nextPut: $.; cr ]."
		self bitmaps do: [ :iconName | | memberName |
			memberName := 'bitmap-', iconName.
			stream nextPutAll: 'self importImage: '; print: memberName; nextPut: $.; cr. ]
	]
! !

!ConnectorsBasicDistroInfo class methodsFor: 'directories' stamp: 'nk 7/18/2004 20:47'!
projectDirectory
	^	FileDirectory default containingDirectory directoryNamed: 'projects'! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 12/28/2004 15:46'!
rebuildObjectsToolIcons

| oldDepth |
(Display supportsDisplayDepth: 32) ifTrue:
	[oldDepth := Display depth.
	Display newDepth: 32.
	PartsBin clearThumbnailCache.
	Flaps replaceToolsFlap.
	ObjectsTool allSubInstancesDo: [:ea | ea tweakAppearanceAfterModeShift].
	Display newDepth: oldDepth]! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 2/28/2006 12:30'!
recatConnectorsExtensionsText
	"Answer the text of a block that will fix the mis-categorized Connectors categories before loading. But make sure not to clobber existing installations!!
	ConnectorsBasicDistroInfo recatConnectorsExtensionsText
	"
^'| info prefix org badCats newCat done |
(Smalltalk hasClassNamed: #NCAAConnectorMorph) ifFalse: [
done := OrderedCollection new.
{ #Connectors. #StandardYellowButtonMenus. #FlexibleVocabularies  } do: [ :pkgName |
info := PackageInfo named: pkgName.
info extensionClasses do: [ :cls |
  org := cls organization.
  prefix := info methodCategoryPrefix.
  badCats := org categories select: [ :cat | info category: cat matches: prefix ].
  badCats do: [ :oldCat |
    newCat := oldCat copyFrom: (prefix size + 2)  to: oldCat size.
    (org listAtCategoryNamed: oldCat) do: [ :sym | org classify: sym under: newCat ].
	done addLast: { cls name . oldCat . newCat } ]]]].'! !

!ConnectorsBasicDistroInfo class methodsFor: 'distribution' stamp: 'nk 8/18/2004 16:15'!
saveChangeSets
	"
	ConnectorsBasicDistroInfo saveChangeSets
	"
	[ ChangeSet defaultChangeSetDirectory: self changeSetDirectoryName.
"	Preferences setPreference: #changeSetVersionNumbers toValue: false."
	self changeSets do: [ :csName |
		(ChangeSorter changeSetNamed: csName) ifNotNilDo: [ :cs | cs fileOut ] ]]
	ensure: [ ChangeSet defaultChangeSetDirectory: 'changeSets'.
			"Preferences setPreference: #changeSetVersionNumbers toValue: true." ].! !
